Bug 204268 - java/openjdk7 - multiple security vulnerabilities
Summary: java/openjdk7 - multiple security vulnerabilities
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Greg Lewis
URL:
Keywords: needs-patch, security
Depends on:
Blocks:
 
Reported: 2015-11-03 21:23 UTC by Sevan Janiyan
Modified: 2016-01-21 05:35 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Greg Lewis freebsd_committer 2015-11-06 06:29:42 UTC
Oracle hasn't released a newer version of openjdk7.  However, there may be fixes for newer problems in the OpenJDK repo.  Will have to check there to see what they have.
Comment 2 commit-hook freebsd_committer 2015-12-14 04:10:24 UTC
A commit references this bug:

Author: glewis
Date: Mon Dec 14 04:09:59 UTC 2015
New revision: 403706
URL: https://svnweb.freebsd.org/changeset/ports/403706

Log:
  . Update to 7u91

  PR:		204268

Changes:
  head/java/openjdk7/Makefile
  head/java/openjdk7/distinfo
Comment 3 Greg Lewis freebsd_committer 2015-12-14 04:33:51 UTC
I've updated the port to the latest version from the OpenJDK repo.
Comment 4 Sevan Janiyan 2015-12-14 22:16:44 UTC
You're missing a VUXML entry
Comment 5 commit-hook freebsd_committer 2016-01-08 18:50:34 UTC
A commit references this bug:

Author: feld
Date: Fri Jan  8 18:49:51 UTC 2016
New revision: 405585
URL: https://svnweb.freebsd.org/changeset/ports/405585

Log:
  Add openjdk7 to the existing java vuxml entry

  PR:		204268

Changes:
  head/security/vuxml/vuln.xml
Comment 6 Greg Lewis freebsd_committer 2016-01-21 05:35:37 UTC
Change to vuxml appears to have been committed.